Package docking.widgets.tree.support

# Class GTreeCellEditor

java.lang.Object
javax.swing.tree.DefaultTreeCellEditor
docking.widgets.tree.support.GTreeCellEditor

All Implemented Interfaces:
  `ActionListener`, `EventListener`, `CellEditor`, `TreeSelectionListener`, `TreeCellEditor`

public class GTreeCellEditor extends DefaultTreeCellEditor

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.tree.DefaultTreeCellEditor

  `DefaultTreeCellEditor.DefaultTextField, DefaultTreeCellEditor.EditorContainer`

- ## Field Summary

  ### Fields inherited from class javax.swing.tree.DefaultTreeCellEditor

  `borderSelectionColor, canEdit, editingComponent, editingContainer, editingIcon, font, lastPath, lastRow, offset, realEditor, renderer, timer, tree`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GTreeCellEditor(JTree tree, DefaultTreeCellRenderer renderer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancelCellEditing()`
  `Component`
  `getTreeCellEditorComponent(JTree jTree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)`
  `boolean`
  `stopCellEditing()`

  ### Methods inherited from class javax.swing.tree.DefaultTreeCellEditor

  `actionPerformed, addCellEditorListener, canEditImmediately, createContainer, createTreeCellEditor, determineOffset, getBorderSelectionColor, getCellEditorListeners, getCellEditorValue, getFont, inHitRegion, isCellEditable, prepareForEditing, removeCellEditorListener, setBorderSelectionColor, setFont, setTree, shouldSelectCell, shouldStartEditingTimer, startEditingTimer, valueChanged`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GTreeCellEditor

    public GTreeCellEditor(JTree tree, DefaultTreeCellRenderer renderer)

- ## Method Details

  - ### stopCellEditing

    public boolean stopCellEditing()
    Specified by:
      `stopCellEditing` in interface `CellEditor`
    Overrides:
      `stopCellEditing` in class `DefaultTreeCellEditor`

  - ### cancelCellEditing

    public void cancelCellEditing()
    Specified by:
      `cancelCellEditing` in interface `CellEditor`
    Overrides:
      `cancelCellEditing` in class `DefaultTreeCellEditor`

  - ### getTreeCellEditorComponent

    public Component getTreeCellEditorComponent(JTree jTree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)
    Specified by:
      `getTreeCellEditorComponent` in interface `TreeCellEditor`
    Overrides:
      `getTreeCellEditorComponent` in class `DefaultTreeCellEditor`